Subject: Re: bug#44107: set-window-dedicated-p: args should be marked as optional

From: Boruch Baum <[email-masked]>
Date: Tue, 20 Oct 2020 20:47:07 -0400

On 2020-10-21 01:25, Basil L. Contovounesios wrote:
> Boruch Baum <[email-masked]> writes:
>
> > On 2020-10-21 01:13, Basil L. Contovounesios wrote:
> >> Or are you suggesting that the function's arguments _be made_ optional,
> >> since they are both allowed to be nil?  (A positional argument that can
> >> be nil is not the same as an optional argument.)
> >
> > Yes, I see I was unclear about that. They should be made optional since
> > both may be nil.
>
> I don't think that would make sense, since
>
>   (set-window-dedicated-p nil nil)
>
> undedicates the selected window, but if I saw its (proposed) equivalent
>
>   (set-window-dedicated-p)
>
> I'd think the opposite.

Good point. And since WINDOW is sequentially the first arg, it alone
can't be optional. Unless you or someone else has a better idea then,
this report should be closed.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0